openSUSE 10 Security Update : libsnmp15 (libsnmp15-6247)

Medium Nessus Plugin ID 38950


The remote openSUSE host is missing a security update.


With this update of net-snmp the handling of TCP wrappers rules for client authorization was improved, prior to this update it was possible for remote attackers to bypass intended access restrictions and execute SNMP queries. (CVE-2008-6123) Additionally binding to multiple interfaces was improved.


Update the affected libsnmp15 packages.

Plugin Details

Severity: Medium

ID: 38950

File Name: suse_libsnmp15-6247.nasl

Version: $Revision: 1.5 $

Type: local

Agent: unix

Published: 2009/05/29

Modified: 2014/06/13

Dependencies: 12634

Risk Information

Risk Factor: Medium


Base Score: 5

Vector: CVSS2#AV:N/AC:L/Au:N/C:P/I:N/A:N

Vulnerability Information

CPE: p-cpe:/a:novell:opensuse:libsnmp15, p-cpe:/a:novell:opensuse:net-snmp, p-cpe:/a:novell:opensuse:net-snmp-32bit, p-cpe:/a:novell:opensuse:net-snmp-devel, p-cpe:/a:novell:opensuse:perl-SNMP, p-cpe:/a:novell:opensuse:snmp-mibs, cpe:/o:novell:opensuse:10.3

Required KB Items: Host/local_checks_enabled, Host/SuSE/release, Host/SuSE/rpm-list, Host/cpu

Patch Publication Date: 2009/05/14

Reference Information

CVE: CVE-2008-6123

CWE: 20